using UnityEngine;
using System.Collections;

public class ArtefactSpawnManager : MonoBehaviour {

    public GameObject[] spawnPoints;

	// Use this for initialization
	void Start () {
        //RoundManager.OnRoundStart += SpawnArtefact;
        SpawnArtefact();
    }

    public void SpawnArtefact()
    {
        Debug.Log("Spawning Artefact");
        spawnPoints[Random.Range(0, spawnPoints.Length)].GetComponent<ArtefactSpawner>().Spawn();
    }

    void TryToSpawn()
    {
        Debug.Log("Trying to spawn");
        SpawnArtefact();
    }
}
